# Class Visitable

Class Visitable

Declaration :

- C++ : class Visitable

Directly inherited by : Buildable

Artifact : visitor

Operation ~Visitable

Declaration :

- Uml : # ~Visitable() :
- C++ : protected: virtual ~Visitable ()

Operation apply

Declaration :

- Uml : abstract, + apply(inout providedTool : Tool) : void
- C++ : public: virtual void apply (Tool& providedTool) = 0

Operation dispatchOp

Declaration :

- Uml : static, + dispatchOp(inout target : TAR, inout t : Tool) : void
- C++ : public: static void dispatchOp (TAR& target, Tool& t)

All public operations : apply , dispatchOp